## ros-eloquent-vision-opencv 2.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(vision_opencv)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-eloquent-vision-opencv (2.1.4-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-vision-opencv (2.1.3-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-vision-opencv (2.1.2-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-vision-opencv (2.1.1-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-vision-opencv (2.1.0-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 26 Nov 2018 06:00:00 -0000

ros-eloquent-vision-opencv (2.0.5-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Aug 2018 05:00:00 -0000

ros-eloquent-vision-opencv (2.0.4-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 14 Aug 2018 05:00:00 -0000

ros-eloquent-vision-opencv (2.0.3-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 05:00:00 -0000

ros-eloquent-vision-opencv (2.0.2-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 29 Jun 2018 05:00:00 -0000

ros-eloquent-vision-opencv (2.0.1-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-vision-opencv (2.0.0-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 31 May 2018 05:00:00 -0000

ros-eloquent-vision-opencv (1.12.7-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 12 Nov 2017 06:00:00 -0000

ros-eloquent-vision-opencv (1.12.6-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 11 Nov 2017 06:00:00 -0000

ros-eloquent-vision-opencv (1.12.5-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-eloquent-vision-opencv (1.12.4-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Jan 2017 06:00:00 -0000

ros-eloquent-vision-opencv (1.12.3-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 04 Dec 2016 06:00:00 -0000

ros-eloquent-vision-opencv (1.12.2-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 24 Sep 2016 05:00:00 -0000

ros-eloquent-vision-opencv (1.12.1-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-eloquent-vision-opencv (1.12.0-1bionic) bionic; urgency=high

  * remove opencv_apps from vision_opencv
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 18 Mar 2016 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.12-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 10 Mar 2016 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.11-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 31 Jan 2016 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.10-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.9-1bionic) bionic; urgency=high

  * Add opencv_apps to vision_opencv dependency
  * Contributors: Ryohei Ueda

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Nov 2015 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.8-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 15 Jul 2015 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.7-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 14 Dec 2014 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.6-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 16 Nov 2014 06:00:00 -0000

ros-eloquent-vision-opencv (1.11.5-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.4-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 27 Jul 2014 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.3-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 08 Jun 2014 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.2-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 28 Apr 2014 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.1-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 16 Apr 2014 05:00:00 -0000

ros-eloquent-vision-opencv (1.11.0-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 15 Feb 2014 06:00:00 -0000

ros-eloquent-vision-opencv (1.10.15-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 07 Feb 2014 06:00:00 -0000

ros-eloquent-vision-opencv (1.10.14-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 23 Nov 2013 22:17:00 -0000

ros-eloquent-vision-opencv (1.10.13-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 23 Nov 2013 15:19:00 -0000

ros-eloquent-vision-opencv (1.10.12-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 22 Nov 2013 06:00:00 -0000

ros-eloquent-vision-opencv (1.10.11-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 23 Oct 2013 05:00:00 -0000

ros-eloquent-vision-opencv (1.10.10-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 19 Oct 2013 05:00:00 -0000

ros-eloquent-vision-opencv (1.10.9-1bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 07 Oct 2013 05:00:00 -0000



=== debian/control ===
Source: ros-eloquent-vision-opencv
Section: misc
Priority: optional
Maintainer: Ethan Gao <ethan.gao@linux.intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/vision_opencv
Standards-Version: 3.9.2

Package: ros-eloquent-vision-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-cv-bridge, ros-eloquent-image-geometry, ros-eloquent-ros-workspace
Description: Packages for interfacing ROS2 with OpenCV, a library of programming functions for real time computer vision.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-vision-opencv//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
